
Foreman - Bug #6408

mousing over the org selector in UI raises menu that does not dismiss after mouse moves outside

menu

06/26/2014 03:22 PM - Thomas McKay

Status: Closed   

Priority: Normal   

Assignee: Thomas McKay   

Category: Web Interface   

Target version: 1.7.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1113674 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1900

  

Description

Ever time mouse passes over the org selector menu (furthest left menu that displays current org context), the choice menu opens.

Unlike the other menus, though, the org menu does not dismiss itself when the mouse leaves the area.

Related issues:

Related to Foreman - Bug #5832: too responsive UI when selecting organization Closed 05/20/2014

Related to Foreman - Bug #9293: Organisation menu doesn't auto-close Closed 02/09/2015

Has duplicate Foreman - Bug #7424: organization and location selector (upper ... Duplicate 09/12/2014

Associated revisions

Revision ee106539 - 11/05/2014 11:12 AM - Thomas McKay

fixes #6408 - dismiss org/loc context menu when mouse leaves it

Revision af04dba6 - 11/10/2014 09:53 AM - Thomas McKay

fixes #6408 - dismiss org/loc context menu when mouse leaves it

(cherry picked from commit ee106539299e612c070adc16407eb70f8ab35f8f)

History

#1 - 06/26/2014 03:22 PM - Thomas McKay

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1113674

#2 - 06/26/2014 04:16 PM - Dominic Cleal

- Related to Bug #5832: too responsive UI when selecting organization added

#3 - 09/15/2014 05:52 AM - Dominic Cleal

- Has duplicate Bug #7424: organization and location selector (upper left in UI) does not dismiss itself when mouse leaves added

#4 - 11/04/2014 11:42 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/1900 added

#5 - 11/05/2014 12:01 PM - Thomas McKay

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset ee106539299e612c070adc16407eb70f8ab35f8f.

#6 - 11/10/2014 04:52 AM - Dominic Cleal
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/ee106539299e612c070adc16407eb70f8ab35f8f


- Assignee set to Thomas McKay

- Target version set to 1.7.2

- translation missing: en.field_release set to 21

#7 - 02/10/2015 03:53 AM - Dominic Cleal

- Related to Bug #9293: Organisation menu doesn't auto-close added
